var chain = "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/1-charlotte-vassant.jpg|Charlotte VASSANT~ <i><small>Vegetables producer and president of the Union of Agricultural syndicate of Aisne region (France).</small></i><br/> <strong>“No suppression of phytosanitary products without providing a solution”</strong><br/> She is a producer of maize, carrots, colza and several other vegetables. To this day, she has tried many biocontrol solutions but unfortunately, most of them did not prove as efficient as pesticides. For her, it is necessary to provide cheaper and more efficient biocontrol tools before suppressing pesticides. She also introduced us to the fact that many biocontrol solutions are not completely safe:  copper is of the most used biocontrol tools and is toxic for the soils and waters.In her opinion, genetics selection is a futuristic solution to have pathogens resistant crops. However, it is not easy to create new varieties because it is time-consuming, and they do not always correspond to consumers’ tastes.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/2-loic-le-meur.png|Loic LE MEUR~ <i><small> Head of Technical and Economic Affairs at UNPT, first potato producers’ syndicate.</small></i><br/> <strong>“Nowadays, it gets more and more complicated for producers, who face many incertitudes and risks” </strong><br/> His role is to defend potato producers’ interests. In his opinion, the principal concern of producers is the yield. Nowadays, due to climate change there are more risks on production, so the sector is starting to look for more planet-friendly solutions. However, current biocontrol solutions are not efficient enough and too expensive. They also require more effort because they need to be adapted to each situation. Time is also a concern because these solutions are very long to implement, and can only be tried once a year during the sowing season. Producers are ready to try new solutions as long as all those risks on their productivity are under control.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/3-georges-freyssinet.png|Georges FREYSSINET~<i><small> President of the French association of vegetal biotechnologies (AFBV).</small></i><br/><strong>“The only way to feed the population is to produce more, but above all, produce better” </strong><br/> The role of AFBV is to inform about vegetal biotechnologies, and to work on regulation and genomic edition. For him, biotechnologies are a solution for food security. It is necessary to find quick agricultural solutions because the population is not going to change its consuming habits. The constraints for producers are also rising more, and other solutions such as biocontrol are not working yet. However vegetal biotechnologies suffer from their reputation because they are often confused with GMOs, which are very controversial.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/4-denis-gaucher.png|Denis GAUCHER~<i><small>R&D engineer on potato diseases at Arvalis vegetal institute, a technical agricultural institute. </small></i><br/><strong>“The first pillar for protection is variety selection. The second is decision tools.” </strong><br/> Arvalis does not work especially on blackleg disease but rather on mildew, another infectious plant disease. They consider potatoes to be primordial in the gestion of hunger. However, the heat waves associated with climate change are favorable to bacteria, and potatoes need a lot of water. So it is necessary to find new varieties to resist these conditions. In Denis Gaucher’s opinion, producers are willing to use more responsible solutions such as biocontrol and new varieties but they need to be profitable. An issue might come from industrials who are reluctant to use new varieties, and tend to make more profit out of “greener” products.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/12jclaversin.png|Jean-Claude LAVERSIN~<i><small> Inspector in the professional organization of the “Comité Nord” </small></i><br/><strong>“All economic and logistical concerns have reasons that agronomic reason does not know about“ </strong><br/> Jean-Claude Laversin ensures the inspection and certification of seed potatoes. He works in close collaboration with producers in order to accompany them in the certification of seed potatoes.The inspection and certification of seeds are very controlled, and seeds have to meet precise criteria to be approved. Some of those criteria are defined by the EU, but each country also has its own regulation. He is well aware of the challenges that producers are facing, and denounces a lack of communication between the actors of the field, and those that set the regulations, sometimes very difficult to follow.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/6-bertand-ouillon.png|Bertrand OUILLON~<i><small> President of the GIPT: interprofessional groupement for potato valorisation. </small></i><br/><strong>“In the starch sector, the yield decreased 20% in the last few years” </strong><br/> The GIPT is an interprofession for French transformed potatoes, encompassing starch and alimentary sectors. Their role is to create shared reglementation and economic agreements between all the actors of the potato industry. They are also concerned by climate change since in the last years, producers really started to suffer its consequences in the fields. They invest in research, especially for variety selection, which is the most promising field but is very slow.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/7-mougna-khelifa.png|Mounia KHELIFA~<i><small> Phytopathology engineer and responsible for the biocontrol program at inov3PT.</small></i><br/><strong>“There is no technical sheet for biocontrol tools” </strong><br/> Mounia Khelifa’s definition of biocontrol is a vegetal protection method based on natural mechanisms and especially the equilibrium between plants and aggressors. She explained to us several applications of biocontrol such as quorum quenching (the degradation of the pathogen’s signaling molecules to perturbate their communication), or the natural regulation of plants and aphids. Her principal concern about biocontrol is that its efficiency depends on the environment: it is necessary to clarify the conditions in which it will be used, to make it more efficient and profitable for producers.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/8-jeremy-cigna.jpg|Jeremy CIGNA~<i><small> R&D engineer working on the blackleg program at inov3PT. </small></i><br/><strong>“To this day there is no known treatment for the blackleg disease” </strong><br/> Jeremy Cigna gave us an overview of the research on blackleg disease. It is a widespread disease caused by a wide variety of pathogens. For him, the main issues are that the disease can spread over generations, and that the symptoms do not correlate with the position of the bacteria. It is a very complex multifactorial disease. To this day, the main research axes are pathogen sequencing, epidemiological surveillance, batch analysis and profilaxy to better understand bacterial propagation. It is not yet possible to study bacteria without destroying the infected potato plants.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/9-sabrina-adam.png|Sabrina ADAM~<i><small> Press Relations Manager at CNIPT interprofession for freshly sold potatoes. </small></i><br/><strong>“94% of consumers trust potato products” </strong><br/> The CNIPT has diverse roles such as research projects management, quality surveillance in stores and communication to the actors of the industry and general public. They collect information on potato consumption: for example 98% of French people consume potatoes. She also told us that consumers choose potatoes for the visual aspect. It is therefore necessary to find an equilibrium between resisting varieties and consumers’ habits. In her opinion, global warming might directly affect potato consumption because people mostly eat potatoes in winter. They consider the potato to be one of the solutions for food security. They are researching along with Arvalis to find adaptive solutions against climate change and reduce the environmental footprint.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/10-benjamin-louvrier.png|Benjamin LOUVRIER~<i><small> In charge of the research and quality pole within the CNIPT, National interprofessional Committee of Potato in the ware potato sector</small></i><br/><strong>“The issue of climate change is a real challenge that the industry has been addressing for some time now” </strong><br/> As the search for new techniques to adapt to social and environmental changes is intensifying to meet the needs of consumers, Benjamin Louvrier gave us an insight on the solutions that are currently being developed to fit those needs. There is an urge to find alternative solutions to phytosanitary products, in order to follow the regulations. These changes are sometimes incompatible with the consumer's needs. He noticed the complexity of the expectations of the consumers, that does not always reflect their purchases. For him, improving communication towards them is a key to developing the agricultural transition.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/11-cl-ment-mabire.png|Clément MABIRE~<i><small> Scientific responsible for variety creation at the SIPRE station of the Comité Nord Plant. </small></i><br/><strong>“We are trying to be visionary because the varieties we are working on today will be ready for the fields in 15 years” </strong><br/> The goal of variety creation is to cross potato varieties for several years and select some characteristics, while integrating the needs of producers and industries. The key is genetics diversity: genomics tools are not used, but rather molecular markers for disease resistance. This can be complex since pathogens evolve over time. To this day they have not found a resistant variety for the blackleg disease.The constraints are to create varieties that are not too difficult to produce, that meet the industrial criteria, and the sanitary norms. They also need to counter the random aspect of genetics. Now that several phytosanitary products are prohibited it is harder to meet the clients’ expectations. In his opinion, variety selection is a futuristic solution: they are trying to predict future climate change issues.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/13-olivier-loridan.jpg|Olivier LORIDAN~<i><small> Seed potato grower</small></i><br/><strong>“Nowadays, we do not have regular years anymore” </strong><br/> The work and the culture of the potato has existed in his family for several generations. This man is a passionate and technical connoisseur of seed potato growing. We were able to visit his farm and his multiple technical installations for potato production. We were able to learn more about the stages of potato production, health risk management, sanitary and production standards, his vision of innovation in agriculture, as well as the main challenges faced by farmers today.  He gave us an insight on how producers are dealing with black leg disease, explaining his solution to control the spread of the pathogen. As much as possible, he tries not to use chemical means of control on his plots of land. He is trying to adapt to new environmental conditions, by reconsidering his process each year.  On another hand, he is struggling with the pressure coming from stricter regulations on the use of phytosanitary products, but also from the industries and distributors, asking for a precise specification in order to fit the needs of the consumers.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/xavier-riquiez.png|Xavier RIQUIEZ~<i><small> Head of approved laboratories at Comité Nord </small></i><br/><strong>“Agriculture was developed thanks to mechanization, fertilizers and chemistry. There is a shift with chemistry, but the shift is being taken a little abruptly, and it is difficult to take the lead in this new shift.” </strong><br/> With Xavier Riquiez, we were given the opportunity to visit laboratories at the cutting edge of technology in the research of pathogens of seed potatoes, as well as the premises used for the tests and the certification of seed potatoes.The professional organization of the “Nord Committee” does not have an economic goal: it was funded by potato plant farmers. The objective of the Comité Nord research station is to create new varieties adapted to the potato market in compliance with future environmental standards. They therefore diagnose more finely in the lab with post-harvest analysis to check the quality of the plants and confirm that the tubers coming out of the field are really good for certification. They are conducting trials, testing new techniques and new biocontrol tools to fight against pathogens. He was able to tell us about the difficulty of developing these methods for blackleg disease which is a multifactorial disease. He also described the worsening state of proliferation of this disease with climate change]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/logo-minist-re.png|French Ministry of Agriculture and Food sovereignty~This part of the French ministry is the governmental body charged with regulation and policy for agriculture, food, fishing, and forestry. It also organizes teaching and research in these fields. The Minister of Agriculture participates in the development and implementation of the European Union's Common Agricultural Policy. We had the opportunity to exchange with two representatives of the ministry of agriculture and food sovereignty. They gave us an insight on how new phytosanitary or biocontrol products can enter the european market, how the commission reevaluates the danger of these product to let these be used on the common market, how the government plan to promote innovation and more sustainable methods of protecting crops notably with biocontrol. Moreover, we learnt about the importance of common agricultural policies inside Europe and about the proposal of legislative relaxation at the European level on the new genomic techniques considered as GMO as the current regulation is not adapted for these new techniques. These could be part of the agro ecological response to current challenges.]" +

  "[https://static.igem.wiki/teams/4239/wiki/hp/onglet/5-sylvain-halftermeyer.jpg	|Sylvain HALFTERMEYER~<i><small> Agronome engineer at the SEMAE, the interprofession for potato seeds and plants. </small></i><br/><strong>“In this tense agricultural context, chemical solutions are disappearing, and seed actors are facing the need of finding alternative solutions” </strong><br/> The SEMAE puts in relation actors of the potato seeds industry. They especially handle the quality guarantee for seed buyers, which is extremely regulated for sanitary and economics reasons.They also finance research projects, especially for variety selection. They believe that all the actors of the sector are concerned by climate change and looking for solutions. In his opinion, there is no restraint on varieties from producers but mostly from industrials and consumers. It is hard to respect all the criteria at the same time, and to follow the will of the consumers, who want biological food but cheaper and prettier potatoes.]";

  

var im = false;
var st = false;
var tx = false;
var on = false;
var on_2 = false;

var accordions = [0, 0, 0, 0, 0];

var protocol_name_list = ["DNA extraction", "Digestion", "Ligation", "Agarose Gel", "Purification", "Bacterial Culture", "HIFI Assembly", "Transfor- mation", "TEDA Cloning", "PCR", "Overlap PCR", "Microplate analysis", "Conjugation  <i>E.coli / D.solani</i>", "Preparing agar plates", "Cell Lysis", "Exclusion Chromato/ Sephadex G100", "PAGE", "Bradford assay", "Plasmid stability test", "Annealing of 2 primers", "Pectinase test", "Electrotrans- formation", "Plant Infections", ""]
var protocol_link_list = ["1-dna-extraction.png", "2-digestion.png", "3-ligation.png", "4-analysis-on-agarose-gel-revelation-by-gel-green-or-etbr.png", "5-purification.png", "6-bacterial-culture.png", "7-hifi-assembly.png", "8-transformation.png", "9-teda-cloning.png", "10-pcr.png", "11-overlap-pcr.png", "12-microplate-reader-analysis.png", "13-conjugation-mfdpir-solani.png", "14-making-petri-dish.png", "15-cell-lysis.png", "16-gel-exclusion-chromatography.png", "17-polyacrilamide-gel-electrophoresis.png", "18-bradford-protein-assay.png", "19-plasmid-stability.png", "20-annealing-of-2-primers.png", "21-pectinase-test.png", "22-electro-poration.png", "23-infection-of-chicory-potatoes.png"]


function htmlToElements(html) {
  var template = document.createElement('template');
  template.innerHTML = html;
  return template.content.firstElementChild;
}

function growCircle(n) {

  for (var i = 0; i < 6; i++) {

    style = document.createElement('style');
    style.innerHTML =
      '#bubble_' + i + '{' +
      'width:90px;' +
      'height:90px;' +
      'margin:0 20px;' +
      '}';
    if (i > 3 || i == 2) {
      style.innerHTML = style.innerHTML +
        '#bubble_' + i + ' h2{' +
        'margin-top:-1.1em;' +
        '}'
    }
    ref = document.querySelector('script');

    ref.parentNode.insertBefore(style, ref);
  }
  if (accordions[n - 1] == 0) {
    style = document.createElement('style');
    style.innerHTML =
      '#bubble_' + n + '{' +
      'width:130px;' +
      'height:130px;' +
      'margin:0 0;' +
      '}';
    if (n > 3 || n == 2) {
      style.innerHTML = style.innerHTML +
        '#bubble_' + n + ' h2{' +
        'margin-top:-0.5em;' +
        '}'
    }
    ref = document.querySelector('script');

    ref.parentNode.insertBefore(style, ref);
    accordions[n - 1] = 1;
  } else {
    accordions[n - 1] = 0;
  }

}

function drawProtocols() {
  var n_p;
  for (var i = 1; i < 5; i++) {
    div_f = htmlToElements('<div class="row_protocols" id="row_protocol_' + i + '">')
    d_c = document.getElementsByClassName('table_protocols')[0]
    d_c.appendChild(div_f);

    for (var j = 0; j < 6; j++) {
      n_p = (i - 1) * 6 + j + 1;
      if(n_p!=24){
        div_f = htmlToElements('<div class="col_protocols" id="cell' + ((i - 1) * 6 + j) + '"><h2 class="number">' + n_p + '.</h2><h2 class="title_protocol">' + protocol_name_list[(i - 1) * 6 + j] + '</h2><p hidden class>' + n_p + '.png</p></div>')
      } else{
        div_f = htmlToElements('<div class="col_protocols" id="cell' + ((i - 1) * 6 + j) + '"><h2 class="title_protocol">' + protocol_name_list[(i - 1) * 6 + j] + '</h2><p hidden class>' + n_p + '.png</p></div>')
      }
      d_c = document.getElementById('row_protocol_' + i);
      d_c.appendChild(div_f);
    }
  }

  d_c = document.getElementsByClassName('col_protocols')
  for (let i = 0; i < d_c.length-1; i++) {
    d_c[i].addEventListener('click', function (event) {
      if (!on) {
        document.activeElement.blur();
        me = event.target
        if (event.target.matches('.col_protocols')) {
          me = event.target.id;
        } else {
          me = me.parentNode.id;
        }
        var src = "https://static.igem.wiki/teams/4239/wiki/experiments/protocols/"+protocol_link_list[i];
        if(i==9){
          div_f = htmlToElements('<div class="div-img-prot big-square"><img class="img-prot" src="' + src + '" alt="' + src + '"><img class="img-prot" src="https://static.igem.wiki/teams/4239/wiki/experiments/protocols/10-pcr-2.png" alt="10_2"></div>')
        }else if(i==7){
          div_f = htmlToElements('<div class="div-img-prot big-square"><img class="img-prot" src="' + src + '" alt="' + src + '"><img class="img-prot" src="https://static.igem.wiki/teams/4239/wiki/experiments/protocols/8-transformation-2.png" alt="8_2"></div>')
        }else{
          div_f = htmlToElements('<div class="div-img-prot big-square"><img class="img-prot" src="' + src + '" alt="' + src + '"></div>')
        }
        document.querySelector('body').appendChild(div_f);

        style = document.createElement('style');
        style.innerHTML =
          '.img-prot {' +
          'max-width: 100%;' +
          '}';

        ref = document.querySelector('script');

        ref.parentNode.insertBefore(style, ref);
        on = true;
        on_2 = false;
      }
    });
  }
}

function drawFrise() {
  let url_image = '';
  let ss_titre = '';
  let txt = '';
  let h = 1;
  let h_delta = 2;
  let agr_bl_t = '';
  let agr_bl_b = '';
  let agr_wh = '';
  n_face = 0;
  for (var i = 0; i < chain.length; i++) {
    if (chain.charAt(i) === '[') {
      im = true;
      url_image = '';
      ss_titre = '';
      txt = '';
    } else if (chain.charAt(i) === ']') {
      tx = false;
      for (var j = 0; j < 4; j++) {
        if (j < h) {
          agr_bl_t = agr_bl_t + '<div class="vert_line bl_line"></div>'
          agr_bl_b = agr_bl_b + '<div class="vert_line bl_line"></div>'
        } else {
          agr_wh = agr_wh + '<div class="vert_line wh_line"></div>'
        }
      }

      html = '<div class="face">' + agr_wh + '<div class="div_img_face"><img class="img_face" id=face' + n_face + ' src="' + url_image + '" alt="face"></div>' + agr_bl_t + '<div class="vert_line gr_line"><div class="vert_line bl_line"></div></div>' + agr_bl_t + '<h2 class="face_name">' + ss_titre + '</h2> <p hidden>' + txt + '</p> </div>';
      div_f = htmlToElements(html)
      d_c = document.getElementsByClassName('h_p_faces')
      for (let i = 0; i < d_c.length; i++) {
        d_c[i].appendChild(div_f);
      };

      agr_bl_t = ''
      agr_bl_b = ''
      agr_wh = ''
      h = h + h_delta
      if (h_delta == 2) {
        h_delta = 1
      } else if (h_delta == 1) {
        h_delta = -1
      } else if (h_delta == -1) {
        h_delta = -2
      } else {
        h_delta = 2
      }
      n_face++;

    } else if (chain.charAt(i) === '|') {
      im = false;
      st = true;
    } else if (chain.charAt(i) === '~') {
      st = false;
      tx = true;
      txt = ''
    } else {
      if (im) {
        url_image += chain.charAt(i)
      } else if (st) {
        ss_titre += chain.charAt(i)
      } else if (tx) {
        txt += chain.charAt(i)
      }
    }
  }

  if (document.getElementsByClassName("face").length > 0) {
    style = document.createElement('style');
    style.innerHTML =
      '.face {' +
      'width:' + 100 / n_face + '%;' +
      '}' +
      '.div_img_face {' +
      'height:' + document.getElementsByClassName("face")[0].offsetWidth + 'px;' +
      '}';

    ref = document.querySelector('script');

    ref.parentNode.insertBefore(style, ref);
  }

  d_c = document.getElementsByClassName('face')
  for (let i = 0; i < d_c.length; i++) {
    d_c[i].addEventListener('click', function (event) {
      me = event.target
      if (event.target.matches('.img_face')) {
        me = event.target.id;
      } else {
        while (!me.matches('.face')) {
          me = me.parentNode;

        }
        me = me.getElementsByClassName('div_img_face')[0].getElementsByClassName('img_face')[0].id
      }
      if (!on) {
        document.activeElement.blur();
        div_f = htmlToElements('<div class="big-square"></div>')
        document.querySelector('body').appendChild(div_f);

        var img = document.getElementById(me);
        div_f = htmlToElements('<div class="div_img_face"><img class="image" id="carre1" src=' + img.getAttribute('src') + ' alt="Face"></div>')
        document.getElementsByClassName('big-square')[0].appendChild(div_f);
        style = document.createElement('style');
        style.innerHTML =
          '.big-square .div_img_face {' +
          'height:' + document.getElementsByClassName("big-square")[0].getElementsByClassName("div_img_face")[0].offsetWidth + 'px;' +
          '}';

        var ref = document.querySelector('script');

        ref.parentNode.insertBefore(style, ref);

        var titre = document.getElementById(me).parentNode.parentNode.querySelector('h2');
        div_f = htmlToElements('<h2>' + titre.innerHTML + '</h2>')
        document.getElementsByClassName('big-square')[0].appendChild(div_f);

        var texte = document.getElementById(me).parentNode.parentNode.querySelector('p');
        div_f = htmlToElements('<p align="justify">' + texte.innerHTML + '</p>')
        document.getElementsByClassName('big-square')[0].appendChild(div_f);
      }
      on = true;
      on_2 = false;
    }, false);
  };

  document.querySelector('body').addEventListener('click', function (event) {
    if (on) {
      if (on_2) {
        document.querySelector('body').removeChild(document.querySelector('body').getElementsByClassName('big-square')[0]);
        on = false;
      }
      on_2 = true;
    }
  }, false);


  for (var i = 1; i < 8; i++) {
    if (document.getElementsByClassName("h_p_f").length > 0){
    document.querySelector('#h_p_f_' + i).addEventListener('mouseleave', function (event) {
      if (on && document.getElementsByClassName('big-square')[0].matches(':hover') === false) {
        document.querySelector('body').removeChild(document.querySelector('body').getElementsByClassName('big-square')[0]);
        on = false;
      }
    })
  }
  }

  d_c = document.getElementsByClassName("carteround")
  if (d_c.length > 0) {
    var win = window.innerHeight;
    var gap = d_c[i].getElementsByClassName('m-0')[0].offsetTop;
    gap = gap + d_c[i].getElementsByClassName('m-0')[0].offsetHeight;
    gap = gap - d_c[i].getElementsByClassName('carteround_h3')[0].offsetTop;
    h = gap;
    for (var i = 0; i<d_c.length;i++){
      gap = d_c[i].getElementsByClassName('m-0')[0].offsetTop;
      gap = gap + d_c[i].getElementsByClassName('m-0')[0].offsetHeight;
      gap = gap - d_c[i].getElementsByClassName('carteround_h3')[0].offsetTop;
      if(gap>h){
        h = gap;
      }
    }
    var perc_win = h / win;
    for (var i = 0; i<d_c.length;i++){
      d_c[i].style.height = perc_win * 100 + 10 + '%'
      d_c[i].style.padding = '2%'
    }
  }
};

function showBenef(i) {
  if (!on) {
    document.activeElement.blur();
    div_f = htmlToElements('<div class="big-square"></div>')
    document.querySelector('body').appendChild(div_f);

    bigSquare = document.getElementsByClassName('big-square')[0];
    toAppend = document.getElementById("h_p_f_" + i).children;
    for (let item of toAppend) {
      newItem = item.cloneNode(true)
      newItem.removeAttribute("hidden")
      bigSquare.appendChild(newItem);
    }

    /*
        var texte = document.getElementById("h_p_f_" + i).getElementsByClassName('h_3_frise')[0];
        div_f = htmlToElements('<h3 class="h_3_frise" align="center">' + texte.innerHTML + '</h3>')
        document.getElementsByClassName('big-square')[0].appendChild(div_f);

        var texte = document.getElementById("h_p_f_" + i).getElementsByClassName('p_frise')[0];
        div_f = htmlToElements('<p class="p_frise" align="justify">' + texte.innerHTML + '</p>')
        document.getElementsByClassName('big-square')[0].appendChild(div_f);

        var texte = document.getElementById("h_p_f_" + i).getElementsByClassName('h_3_frise')[1];
        div_f = htmlToElements('<h3 class="h_3_frise" align="center">' + texte.innerHTML + '</h3>')
        document.getElementsByClassName('big-square')[0].appendChild(div_f);

        var texte = document.getElementById("h_p_f_" + i).getElementsByClassName('p_frise')[1];
        div_f = htmlToElements('<p class="p_frise" align="justify">' + texte.innerHTML + '</p>')
        document.getElementsByClassName('big-square')[0].appendChild(div_f);
    */
    var win = window.innerHeight;
    var gap = document.getElementsByClassName('big-square')[0].getElementsByClassName('p_frise')[1].offsetTop;
    gap = gap + document.getElementsByClassName('big-square')[0].getElementsByClassName('p_frise')[1].offsetHeight;
    gap = gap - document.getElementsByClassName('big-square')[0].getElementsByClassName('h_3_frise')[0].offsetTop;

    var perc_win = gap / win;
    document.getElementsByClassName('big-square')[0].style.height = perc_win * 100 + 8 + '%'
    document.getElementsByClassName('big-square')[0].style.padding = '2%'
    document.querySelector('.big-square').addEventListener('mouseleave', function (event) {
      me = event.target.id;
      if (on) {
        document.querySelector('body').removeChild(document.querySelector('body').getElementsByClassName('big-square')[0]);
        on = false;
      }

    })

    /*var img = document.getElementById(me);
    div_f = htmlToElements('<div class="div_img_face"><img class="image" id="carre1" src='+img.getAttribute('src')+' alt="Face"></div>')
    document.getElementsByClassName('big-square')[0].appendChild(div_f);
    style = document.createElement('style');
    style.innerHTML =
      '.big-square .div_img_face {' +
        'height:'+document.getElementsByClassName("big-square")[0].getElementsByClassName("div_img_face")[0].offsetWidth+'px;' +
      '}';

    var ref = document.querySelector('script');

    ref.parentNode.insertBefore(style, ref);

    var titre = document.getElementById(me).parentNode.parentNode.querySelector('h2');
    div_f = htmlToElements('<h2>'+titre.innerHTML+'</h2>')
    document.getElementsByClassName('big-square')[0].appendChild(div_f);

    var texte = document.getElementById(me).parentNode.parentNode.querySelector('p');
    div_f = htmlToElements('<p align="justify">'+texte.innerHTML+'</p>')
    document.getElementsByClassName('big-square')[0].appendChild(div_f);
    */
  }
  on = true;
};

function scrollMoins20(i){
  window.scroll(0,document.getElementById(i).offsetTop-70)
}
